From 670a37283c3a68977e8605013b43ce8bbdaf30b7 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 31 Mar 2020 14:53:11 +0800
Subject: [PATCH 10/28] base.cfg: add virtio_ports for qemu-guest-agent
 testcases

If we want to run qemu-guest-agent testcases, we must add add virtio_ports.
It's name must be 'org.qemu.guest_agent.0' for guest-agent.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 shared/cfg/base.cfg | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/shared/cfg/base.cfg b/shared/cfg/base.cfg
index 570acede..2ec9436a 100644
--- a/shared/cfg/base.cfg
+++ b/shared/cfg/base.cfg
@@ -159,6 +159,10 @@ q35, arm64-pci, arm64-mmio:
 # serial_type_vs1 = virtserialport
 # virtio_port_name_prefix_vs1 = "com.redhat.spice."
 # Then the serial_name of "vs1" will be "com.redhat.spice.0"
+virtio_ports = "org.qemu.guest_agent.0"
+virtio_port_type = virtserialport
+virtio_port_chardev_org.qemu.guest_agent.0 = socket
+virtio_port_name_prefix_org.qemu.guest_agent.0 = "org.qemu.guest_agent."
 
 serials = "serial0"
 serial_type = "isa-serial"
-- 
2.23.0

